- Qt 5.5
- Qt Multimedia
- C++ Classes
- QCameraFocusControl
- Qt 5.5.1 Reference Documentation

# QCameraFocusControl Class

The QCameraFocusControl class supplies control for focusing related camera parameters. More...

Header: | #include <QCameraFocusControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QCameraFocusControl()
virtual QPointF | customFocusPoint() const = 0
virtual QCameraFocus::FocusModes | focusMode() const = 0
virtual QCameraFocus::FocusPointMode | focusPointMode() const = 0
virtual QCameraFocusZoneList | focusZones() const = 0
virtual bool | isFocusModeSupported(QCameraFocus::FocusModes mode) const = 0
virtual bool | isFocusPointModeSupported(QCameraFocus::FocusPointMode mode) const = 0
virtual void | setCustomFocusPoint(const QPointF & point) = 0
virtual void | setFocusMode(QCameraFocus::FocusModes mode) = 0
virtual void | setFocusPointMode(QCameraFocus::FocusPointMode mode) = 0

## Signals

void | customFocusPointChanged(const QPointF & point)
void | focusModeChanged(QCameraFocus::FocusModes mode)
void | focusPointModeChanged(QCameraFocus::FocusPointMode mode)
void | focusZonesChanged()

## Protected Functions

| QCameraFocusControl(QObject * parent = 0)

## Macros

| QCameraFocusControl_iid

## Detailed Description

The QCameraFocusControl class supplies control for focusing related camera parameters.

The interface name of QCameraFocusControl is `org.qt-project.qt.camerafocuscontrol/5.0` as defined in QCameraFocusControl_iid.

See also QMediaService::requestControl() and QCamera.

## Member Function Documentation

### `[protected]` QCameraFocusControl::QCameraFocusControl(QObject * parent = 0)

Constructs a camera control object with parent.

### QCameraFocusControl::~QCameraFocusControl()

Destruct the camera control object.

### `[pure virtual]` QPointF QCameraFocusControl::customFocusPoint() const

Return the position of custom focus point, in relative frame coordinates: QPointF(0,0) points to the left top frame point, QPointF(0.5,0.5) points to the frame center.

Custom focus point is used only in FocusPointCustom focus mode.

See also setCustomFocusPoint().

### `[signal]` void QCameraFocusControl::customFocusPointChanged(const QPointF & point)

Signal is emitted when the custom focus point is changed.

See also QCameraFocusControl::customFocusPoint() and QCameraFocusControl::setCustomFocusPoint().

### `[pure virtual]` QCameraFocus::FocusModes QCameraFocusControl::focusMode() const

Returns the focus mode being used.

See also setFocusMode().

### `[signal]` void QCameraFocusControl::focusModeChanged(QCameraFocus::FocusModes mode)

Signal is emitted when the focus mode is changed, usually in result of QCameraFocusControl::setFocusMode call or capture mode changes.

See also QCameraFocusControl::focusMode() and QCameraFocusControl::setFocusMode().

### `[pure virtual]` QCameraFocus::FocusPointMode QCameraFocusControl::focusPointMode() const

Returns the camera focus point selection mode.

See also setFocusPointMode().

### `[signal]` void QCameraFocusControl::focusPointModeChanged(QCameraFocus::FocusPointMode mode)

Signal is emitted when the focus point mode is changed, usually in result of QCameraFocusControl::setFocusPointMode call or capture mode changes.

See also QCameraFocusControl::focusPointMode() and QCameraFocusControl::setFocusPointMode().

### `[pure virtual]` QCameraFocusZoneList QCameraFocusControl::focusZones() const

Returns the list of zones, the camera is using for focusing or focused on.

### `[signal]` void QCameraFocusControl::focusZonesChanged()

Signal is emitted when the set of zones, camera focused on is changed.

Usually the zones list is changed when the camera is focused.

See also QCameraFocusControl::focusZones().

### `[pure virtual]` bool QCameraFocusControl::isFocusModeSupported(QCameraFocus::FocusModes mode) const

Returns true if focus mode is supported.

### `[pure virtual]` bool QCameraFocusControl::isFocusPointModeSupported(QCameraFocus::FocusPointMode mode) const

Returns true if the camera focus point mode is supported.

### `[pure virtual]` void QCameraFocusControl::setCustomFocusPoint(const QPointF & point)

Sets the custom focus point.

If camera supports fixed set of focus points, it should use the nearest supported focus point, and return the actual focus point with QCameraFocusControl::focusZones().

See also QCameraFocusControl::customFocusPoint() and QCameraFocusControl::focusZones().

### `[pure virtual]` void QCameraFocusControl::setFocusMode(QCameraFocus::FocusModes mode)

Set the focus mode to mode.

See also focusMode().

### `[pure virtual]` void QCameraFocusControl::setFocusPointMode(QCameraFocus::FocusPointMode mode)

Sets the camera focus point selection mode.

See also focusPointMode().

## Macro Documentation

### QCameraFocusControl_iid

`org.qt-project.qt.camerafocuscontrol/5.0`

Defines the interface name of the QCameraFocusControl class.